.header {
    min-height: 110px;
    background-color: #0057b1;
    width: 100%;
    z-index: 1;
    &.fixed {
        position: fixed;
    }
    &.index-top {
        z-index: 10;
    }

    .container {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    // .header__left
    &__left {
        // margin: 47px 0px 0px 50px;
        margin: 24px 0px 0px 50px;
    }
    // .header__site-name
    &__site-name {
        display: flex;
        align-items: center;
        img {
            width: 66px;
            height: 66px;
            filter: drop-shadow(3px 3px 15px rgba(245, 207, 51, 0.3));
        }
        div {
            font-family: "Nunito Bold";
            width: 366px;
            font-size: 18px;
            line-height: 30px;
            color: #ffffff;
            text-transform: uppercase;
            margin: 0px 0px 0px 25px;
            text-shadow: 0 2px 15px rgba(32, 53, 78, 0.5);
        }
    }
    // .header__right
    &__right {
        display: flex;
        align-items: center;
        margin: 20px 90px 0px 0px;
    }
    // .header__slogan--year
    &__slogan--year {
        display: flex;
        align-items: center;
        img {
            width: auto;
            height: 76px;
            animation: drops 5s linear infinite;
        }
        @keyframes drops {
            0% {
                filter: drop-shadow(0px 5px 15px rgb(245, 233, 105));
            }
            50% {
                filter: drop-shadow(0px 5px 15px rgba(245, 233, 105, 0.1));
            }
            100% {
                filter: drop-shadow(0px 5px 15px rgb(245, 233, 105));
            }
        }
    }
    // .header__slogan--year-text
    &__slogan--year-text {
        color: #ffffff;
        font-family: "Nunito Bold";
        font-size: 16px;
        line-height: 22px;
        width: 250px;
        margin: 0px 0px 0px 11px;
        text-shadow: 0px 2px 15px rgba(47, 84, 143, 1);
    }
    // .header__lang
    &__lang {
        width: 86px;
        position: relative;
        margin: 4px 33px 0px 0px;
        color: #ffffff;
        font-size: 16px;
        font-weight: bold;
        &:hover {
            color: #f5cf33;
            cursor: pointer;
        }
        .header__lang {
            position: relative !important;
            left: auto !important;
            top: auto !important;
        }
    }
    // .header__lang-active
    &__lang-active {
        width: 100%;
        text-align: left;
        background-color: transparent;
        color: #f5cf33;
        font-family: "Nunito Regular";
        font-size: 16px;
        line-height: 22px;
        text-shadow: 0px 2px 15px rgba(47, 84, 143, 0.61);
        padding: 0px 5px 0px 0px;
        position: relative;
    }
    // .header__lang-menu
    &__lang-menu {
        display: none;
        position: absolute;
        width: 86px;
        background-color: #fff;
        border: 1px solid #fff;
        &.active {
            display: block;
        }
        li {
            height: 22px;
            display: flex;
            a {
                padding: 0px 10px;
                color: #0057b1;
                font-family: "Nunito Regular";
                line-height: 22px;
                font-size: 16px;
                width: 100%;
                &:hover {
                    color: #fff;
                    background-color: #0057b1;
                }
            }
        }
    }
    @media (max-width: 1100px) {
        .header__left {
            margin: 24px 0px 0px 0px;
        }
        .header__right {
            margin: 20px 0px 0px 0px;
        }
    }
    @media (max-width: 945px) {
        .container {
        }
        .header__right {
            .header__lang {
                display: none;
            }
        }
    }
    @media (max-width: 830px) {
        .header__left {
            .header__site-name {
                div {
                    font-size: 16px;
                    line-height: 20px;
                    width: 260px;
                }
            }
        }
        .header__right {
            margin: 20px 0px 0px 0px;
        }
    }
    @media (max-width: 730px) {
        .header__left {
            .header__site-name {
                img {
                    width: 50px;
                    height: 50px;
                }
                div {
                    margin: 0px 0px 0px 10px;
                    font-size: 14px;
                    line-height: 16px;
                }
            }
        }
        .header__right {
            .header__slogan--year {
                img {
                    width: 50px;
                    height: auto;
                }
                margin: 0px 10px 0px 0px;
            }
            .header__slogan--year-text {
                font-size: 12px;
                line-height: 14px;
                width: 150px;
            }
        }
    }
    @media (max-width: 580px) {
        .container {
            display: block;
        }
        .header__left {
            margin: 5px 0px 0px 0px;
        }
        .header__right {
            margin: 5px 0px 5px 0px;
            float: right;
        }
    }
}

.search {
    width: 20px;
    height: 20px;
    margin-top: 2px;
    // .search__btn
    &__btn {
        button {
            background-color: transparent;
            width: 18px;
        }
    }
    .openBtn {
        background: #f1f1f1;
        border: none;
        padding: 10px 15px;
        font-size: 20px;
        cursor: pointer;
    }

    .openBtn:hover {
        background: #bbb;
    }

    .overlay {
        height: 100%;
        width: 100%;
        display: none;
        position: fixed;
        z-index: 10;
        top: 0;
        left: 0;
        background-color: rgba(0, 0, 0, 0.9);
    }

    .overlay-content {
        position: relative;
        top: 46%;
        width: 80%;
        text-align: center;
        margin-top: 30px;
        margin: auto;
    }

    .overlay .closebtn {
        position: absolute;
        top: 20px;
        right: 45px;
        font-size: 60px;
        cursor: pointer;
        color: #fff;
    }

    .overlay .closebtn:hover {
        color: #0056b1;
    }

    .overlay input[type="text"] {
        padding: 15px;
        font-size: 17px;
        border: none;
        float: left;
        width: 80%;
        background: white;
    }

    .overlay input[type="text"]:hover {
        background: #f1f1f1;
    }

    .overlay button {
        float: left;
        width: 20%;
        padding: 10px;
        border: none;
        cursor: pointer;
        height: 53px;
        background-color: #0057b1;
        position: relative;
        img {
            height: 90%;
            width: auto;
        }
    }

    .overlay button:hover {
        background-color: darken(#0057b1, 20);
    }
}

.menu {
    background-color: rgba(0, 87, 177, 0.8);
    height: 76px;
    width: 100%;
    z-index: 1;
    margin-top: -76px;
    @media (max-width: 1250px) {
        height: 50px;
        margin: -50px 0px 0px 0px;
    }
    @media (max-width: 500px) {
        margin: 0;
        background-color: #0057b1;
    }
    &.fixed {
        position: fixed;
        top: 110px;
        @media (max-width: 580px) {
            top: 119px;
        }
    }
    &.menu-nh {
        background-color: #0057b1 !important;
        margin: 0;
    }
    .container {
        height: 100%;
        position: relative;
    }
    & .icon-menu {
        display: none;
        position: absolute;
        top: 50%;
        right: 50px;
        width: 31px;
        height: 25px;
        cursor: pointer;
        z-index: 0;
        transform: translate(0, -50%);
        @media (max-width: 450px) {
            right: 30px;
        }
        @media (max-width: 1250px) {
            display: block;
        }
        & span:nth-child(1),
        & span:nth-child(2),
        & span:nth-child(3) {
            position: absolute;
            width: 25px;
            height: 3px;
            background-color: #ffffff;
            border-radius: 10px;
            top: 11px;
            left: 2.5px;
            z-index: 2;
            transition: top 0.4s ease 0.4s, transform 0.4s ease 0s;
        }
        & span:nth-child(1) {
            top: 2px;
        }

        & span:nth-child(2) {
            transition: opacity 0s ease 0.4s !important;
        }

        & span:nth-child(3) {
            top: 20px;
        }

        &.active {
            & span {
                transition: top 0.4s ease 0s, transform 0.4s ease 0.4s;
            }
            & span:nth-child(1) {
                top: 11px;
                transform: rotate(-45deg);
            }
            & span:nth-child(2) {
                opacity: 0;
            }
            & span:nth-child(3) {
                top: 11px;
                bottom: auto;
                transform: rotate(45deg);
            }
        }
    }
    // .menu__body
    &__body {
        height: 100%;
        @media (max-width: 1250px) {
            position: fixed;
            width: 320px;
            height: 100%;
            z-index: 10;
            top: 0;
            right: -320px;
            background-color: darken(#0057b1, 10%);
            transition: 0.5s ease;
            overflow: hidden;
            padding: 80px 0px 0px 0px;
        }
        .icon-menu {
            top: 50px;
            right: 50px;
        }
        .header__lang {
            display: none;
        }
        @media (max-width: 945px) {
            .header__lang {
                position: absolute;
                display: block;
                top: 25px;
                left: 30px;
            }
        }
    }

    &.active {
        .menu__body {
            right: 0;
            top: 0;
        }
        .menu__list {
        }
    }
    // .menu__list
    &__list {
        display: flex;
        height: 100%;
        justify-content: center;
        align-items: center;
        > li {
            position: relative;
            height: 100%;
            display: flex;
            align-items: center;
            &::after {
                content: "";
                position: absolute;
                width: 1px;
                height: 20px;
                top: calc(50% - 10px);
                right: -0.5px;
                background-color: #fff;
            }
            &:last-child {
                &::after {
                    content: none;
                }
            }
            // &:hover {
            //     .menu__sub-list {
            //         opacity: 1;
            //         pointer-events: auto;
            //         li {
            //             animation: animate 0.3s ease forwards var(--i);
            //         }
            //     }
            //     .menu__link {
            //         color: #f5cf33;
            //     }
            //     span {
            //         transform: rotate(540deg);
            //         border-top: 5px solid #f5cf33;
            //     }
            // }

            // span {
            //     display: block;
            //     width: 5px;
            //     height: 5px;
            //     border-top: 5px solid #fff;
            //     border-left: 5px solid transparent;
            //     border-right: 5px solid transparent;
            //     margin: 0px 0px 0px 20px;
            //     box-shadow: 0 2px 15px rgba(32, 53, 78, 0.5);
            //     transition: 0.5s transform;
            // }
        }
        @media (max-width: 1250px) {
            display: block;
            overflow: auto;
            padding: 20px 0px 0px 0px;
            li {
                a {
                    padding: 10px 30px;
                }
                height: auto;
                &::after {
                    content: none;
                }
            }
        }
    }
    // .menu__link
    &__link {
        width: 100%;
        padding: 24px 20px;
        font-family: "Nunito SemiBold";
        font-size: 20px;
        line-height: 28px;
        color: #ffffff;
        text-shadow: 0 2px 15px rgba(32, 53, 78, 0.5);
        &:hover,
        &.active {
            color: #f5cf33;
        }
    }
    // .menu__sub-list
    &__sub-list {
        opacity: 0;
        pointer-events: none;
        position: absolute;
        top: 76px;
        z-index: 1;
        left: 0;
        min-width: -webkit-fill-available;
        li {
            position: relative;
            display: flex;
            opacity: 0;
            transform: translateY(10px);
            background-color: rgba(0, 87, 177, 0.949);
            padding: 0px 23px;
            &:last-child {
                a {
                    border-bottom: 1px solid transparent;
                }
            }
            a {
                border-bottom: 1px solid #fff;
                width: 100%;
                height: 100%;
                padding: 5px 0px 8px 0px;
                font-family: "Nunito Bold";
                font-size: 17px;
                color: #fff;
            }

            &:hover {
                background-color: rgba(255, 255, 255, 0.95);
                a {
                    color: #0057b1;
                }
            }
            &:nth-child(1) {
                --i: 0s;
            }
            &:nth-child(2) {
                --i: 0.2s;
            }
            &:nth-child(3) {
                --i: 0.4s;
            }
            &:nth-child(4) {
                --i: 0.6s;
            }
            &:nth-child(5) {
                --i: 0.8s;
            }
            &:nth-child(6) {
                --i: 1s;
            }
            &:nth-child(7) {
                --i: 1.2s;
            }
            &:nth-child(8) {
                --i: 1.4s;
            }
            &:nth-child(9) {
                --i: 1.6s;
            }
            &:nth-child(10) {
                --i: 1.8s;
            }
            &:nth-child(11) {
                --i: 2s;
            }
            &:nth-child(12) {
                --i: 2.2s;
            }
        }
    }
}
@keyframes animate {
    0% {
        opacity: 0;
        transform: translateY(10px);
    }
    100% {
        opacity: 1;
        transform: translateY(0px);
    }
}

// when fixed
.page.fixed {
    margin: 110px 0px 0px 0px;
    @media (max-width: 580px) {
        margin: 119.5px 0px 0px 0px;
    }
}
.mini-tender.fixed {
    margin: 76px 0px 0px 0px;
    @media (max-width: 1250px) {
        margin: 50px 0px 0px 0px;
    }
}
